Package org.apache.sysds.runtime.codegen

# Class ByteClassLoader

java.lang.Object
java.lang.ClassLoader
java.security.SecureClassLoader
java.net.URLClassLoader
org.apache.sysds.runtime.codegen.ByteClassLoader

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public class ByteClassLoader extends URLClassLoader

## Constructor Summary

Constructors
Constructor
Description
`ByteClassLoader(URL[] urls, ClassLoader parent, byte[] classBytes)`

## Method Summary

Modifier and Type
Method
Description
`Class<?>`
`findClass(String className)`

### Methods inherited from class java.net.URLClassLoader

`close, findResource, findResources, getResourceAsStream, getURLs, newInstance, newInstance`

### Methods inherited from class java.lang.ClassLoader

`clearAssertionStatus, getDefinedPackage, getDefinedPackages, getName, getParent, getPlatformClassLoader, getResource, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, getUnnamedModule, isRegisteredAsParallelCapable, loadClass, resources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ByteClassLoader

public ByteClassLoader(URL[] urls, ClassLoader parent, byte[] classBytes)

## Method Details

### findClass

public Class<?> findClass(String className) throws ClassNotFoundException

Throws:
  `ClassNotFoundException`